Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom
Class GenericProcessingInstruction

    java.lang.Object
      org.apache.batik.dom.AbstractNode
          org.apache.batik.dom.AbstractChildNode
              org.apache.batik.dom.AbstractProcessingInstruction
                  org.apache.batik.dom.GenericProcessingInstruction

All Implemented Interfaces:
  org.w3c.dom.events.EventTarget, ExtendedNode, org.w3c.dom.Node, NodeEventTarget, org.w3c.dom.ProcessingInstruction, java.io.Serializable

public class GenericProcessingInstruction
extends AbstractProcessingInstruction

This class implements the `ProcessingInstruction` interface.

See Also:
  Serialized Form

Field Summary
`protected boolean` | `readonly` Is this node immutable?
`protected java.lang.String` | `target` The target.

Fields inherited from class org.apache.batik.dom.AbstractProcessingInstruction
`data`

Fields inherited from class org.apache.batik.dom.AbstractChildNode
`nextSibling, parentNode, previousSibling`

Fields inherited from class org.apache.batik.dom.AbstractNode
`EMPTY_NODE_LIST, eventSupport, ownerDocument`

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Constructor Summary
`protected` | `GenericProcessingInstruction()` Creates a new ProcessingInstruction object.
`` | `GenericProcessingInstruction(java.lang.String target, java.lang.String data, AbstractDocument owner)` Creates a new ProcessingInstruction object.

Method Summary
`protected org.w3c.dom.Node` | `copyInto(org.w3c.dom.Node n)` Copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` | `deepCopyInto(org.w3c.dom.Node n)` Deeply copy the fields of the current node into the given node.
`protected org.w3c.dom.Node` | `deepExport(org.w3c.dom.Node n, AbstractDocument d)` Deeply exports this node to the given document.
`protected org.w3c.dom.Node` | `export(org.w3c.dom.Node n, AbstractDocument d)` Exports this node to the given document.
`java.lang.String` | `getTarget()` DOM: Implements `ProcessingInstruction.getTarget()`.
`boolean` | `isReadonly()` Tests whether this node is readonly.
`protected org.w3c.dom.Node` | `newNode()` Returns a new uninitialized instance of this object's class.
`void` | `setNodeName(java.lang.String v)` Sets the node name.
`void` | `setReadonly(boolean v)` Sets this node readonly attribute.
`void` | `setTarget(java.lang.String v)` Sets the target value.

Methods inherited from class org.apache.batik.dom.AbstractProcessingInstruction
`getData, getNodeName, getNodeType, getNodeValue, setData, setNodeValue`

Methods inherited from class org.apache.batik.dom.AbstractChildNode
`getNextSibling, getParentNode, getPreviousSibling, setNextSibling, setParentNode, setPreviousSibling`

Methods inherited from class org.apache.batik.dom.AbstractNode
`addEventListener, appendChild, checkChildType, cloneNode, createDOMException, dispatchEvent, fireDOMCharacterDataModifiedEvent, fireDOMNodeInsertedIntoDocumentEvent, fireDOMNodeRemovedFromDocumentEvent, getAttributes, getChildNodes, getCurrentDocument, getEventSupport, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getOwnerDocument, getParentNodeEventTarget, getPrefix, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, removeEventListener, replaceChild, setOwnerDocument, setPrefix, setSpecified`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, getAttributes, getChildNodes, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, hasAttributes, hasChildNodes, insertBefore, isSupported, normalize, removeChild, replaceChild, setPrefix`

Field Detail

### target

    protected java.lang.String target

  The target.

### readonly

    protected boolean readonly

  Is this node immutable?

Constructor Detail

### GenericProcessingInstruction

    protected GenericProcessingInstruction()

  Creates a new ProcessingInstruction object.

### GenericProcessingInstruction

    public GenericProcessingInstruction(java.lang.String target,
                                        java.lang.String data,
                                        AbstractDocument owner)

  Creates a new ProcessingInstruction object.

Method Detail

### setNodeName

    public void setNodeName(java.lang.String v)

  Sets the node name.

  Specified by:
    `setNodeName` in interface `ExtendedNode`
  Overrides:
    `setNodeName` in class `AbstractNode`

### isReadonly

    public boolean isReadonly()

  Tests whether this node is readonly.

### setReadonly

    public void setReadonly(boolean v)

  Sets this node readonly attribute.

### getTarget

    public java.lang.String getTarget()

  DOM: Implements `ProcessingInstruction.getTarget()`.

  Returns:
    `target`.

### setTarget

    public void setTarget(java.lang.String v)

  Sets the target value.

### export

    protected org.w3c.dom.Node export(org.w3c.dom.Node n,
                                      AbstractDocument d)

  Exports this node to the given document.

  Overrides:
    `export` in class `AbstractProcessingInstruction`

### deepExport

    protected org.w3c.dom.Node deepExport(org.w3c.dom.Node n,
                                          AbstractDocument d)

  Deeply exports this node to the given document.

  Overrides:
    `deepExport` in class `AbstractProcessingInstruction`

### copyInto

    protected org.w3c.dom.Node copyInto(org.w3c.dom.Node n)

  Copy the fields of the current node into the given node.

  Overrides:
    `copyInto` in class `AbstractProcessingInstruction`
  Parameters:
    `n` - a node of the type of this.

### deepCopyInto

    protected org.w3c.dom.Node deepCopyInto(org.w3c.dom.Node n)

  Deeply copy the fields of the current node into the given node.

  Overrides:
    `deepCopyInto` in class `AbstractProcessingInstruction`
  Parameters:
    `n` - a node of the type of this.

### newNode

    protected org.w3c.dom.Node newNode()

  Returns a new uninitialized instance of this object's class.

  Specified by:
    `newNode` in class `AbstractNode`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.